Package com.databricks.jdbc.auth

## Class OAuthAuthenticator

- java.lang.Object
- - com.databricks.jdbc.auth.OAuthAuthenticator

    public class OAuthAuthenticator
    extends Object

### Constructor Summary

Constructors
`OAuthAuthenticator​(IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.databricks.sdk.WorkspaceClient` `getWorkspaceClient​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`void` `setupAccessTokenConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`void` `setupDatabricksConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`void` `setupM2MConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`void` `setupU2MConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`void` `setupU2MRefreshConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuthAuthenticator

    public OAuthAuthenticator​(IDatabricksConnectionContext connectionContext)

### Method Detail

#### getWorkspaceClient

    public com.databricks.sdk.WorkspaceClient getWorkspaceClient​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                                                          throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### setupDatabricksConfig

    public void setupDatabricksConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                               throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### setupU2MConfig

    public void setupU2MConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                        throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### setupAccessTokenConfig

    public void setupAccessTokenConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                                throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### setupU2MRefreshConfig

    public void setupU2MRefreshConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                               throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### setupM2MConfig

    public void setupM2MConfig​(com.databricks.sdk.core.DatabricksConfig databricksConfig)
                        throws DatabricksParsingException

Throws:
  `DatabricksParsingException`